import QtQuick 2.0

ListView {
    property string selected
    model: ListModel {}
    highlight: Rectangle {
        width: parent.width
        height: uiSettings.b
        color: Skin.preferencesBarSelectedTabName
    }

    delegate: Item {
        width: parent.width
        height: uiSettings.b
        Text {
            color: "white"
            text: caption
            anchors.left: parent.left
            anchors.leftMargin: uiSettings.md/2
            anchors.verticalCenter: parent.verticalCenter
            font.family: "Ubuntu"
            font.pointSize: uiSettings.btm
            font.bold: true
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            var ind = indexAt(mouseX, mouseY)
            if(ind !== -1)
                currentIndex = ind
        }
    }
    onCurrentIndexChanged: {selected = model.get(currentIndex).url}
    Component.onCompleted: {
        var prjInd=1
        var  prjName
        var prjUrl
        while(Global.fileExists("://Embedded/Project"+prjInd))
        {
            prjName = Langpack["applicationProjectEmbeddedProject"+prjInd]
            prjUrl = "://Embedded/Project"+prjInd
            if(prjName === undefined)
                prjName = "Project" + prjInd
            model.append({'caption': prjName, 'url': prjUrl})
            if(prjUrl === Global.projectEmbedded())
                currentIndex = prjInd-1
            prjInd++
        }

        selected = Global.projectEmbedded()
    }
    function saveSettings() {
        Global.setProjectEmbedded(selected);
    }
}

