import QtQuick 2.0
import "../TroglControls"
import QtQuick.Dialogs 1.2

Column {
    property string path
    spacing: 10
    Text {
     color: "#919191"
     font.family: "Ubuntu"
     font.pointSize: uiSettings.btm
     text: Langpack.barPreferencesTabProjectLabelFilePath
    }
    function navClose()
    {
        if(fd.visible)
        {
            fd.close()
            return true;
        }
        return false;
    }

    Rectangle {
        id: pathInput
        width: parent.width
        height: uiSettings.b
        color: "#00000000"
        border.color: "#919191"
        border.width: uiSettings.sf/4
        clip: true
        Text {
            id: filePath
            anchors.left: parent.left
            anchors.leftMargin: uiSettings.br
            anchors.verticalCenter: parent.verticalCenter
            color: "white"
            font.family: "Ubuntu"
            font.pointSize: uiSettings.btm
            text: path
        }
    }
    Button_s1 {
        width: uiSettings.b*4
        height: uiSettings.b
        text.text: Langpack.barPreferencesTabProjectButtonSelectFile
        onClicked:
            fd.open()
    }

    Component.onCompleted:path = Global.projectFile()

    FileDialog {
            id: fd
            selectExisting: true
            selectMultiple: false
            selectFolder: false
            nameFilters: [ "Tron project files (*.ctp)"]
            onAccepted: {
                path = fd.fileUrl
            }
        }
    function saveSettings() {
        Global.setProjectFile(path);
    }
}

